<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title></title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div></div>
        <script>
            function assignEvents(e) {
                var arraySize = parseInt(prompt("Enter the size of the array:"));
                var array = [];
                for (i = 0; i < arraySize; i++) {
                    array[i] = parseInt(prompt("Enter the #" + (i + 1) + " number of the array."));
                }
                alert(findBiggest(array));
                function findBiggest(array) {
                    nums = array.slice();
                    if (nums.length == 1) {
                        return nums[0];
                    }
                    if (nums[0] < nums[1]) {
                        nums.splice(0, 1);
                    } else {
                        nums.splice(1, 1);
                    }
                    return findBiggest(nums);
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
